import 'package:flutter/material.dart';

class RaisedButton extends StatelessWidget {
  final RoundedRectangleBorder shape;
  final Color? color;
  final Function? onPressed;
  final Widget child;
  final EdgeInsets padding;
  final double elevation;
  const RaisedButton({required this.child, required this.onPressed,
    this.elevation = 5, required this.color,
    this.shape = const RoundedRectangleBorder(
      borderRadius: BorderRadius.all(Radius.circular(2.0)),
    ),this.padding = const EdgeInsets.all(12.0), Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ElevatedButton(
      style: ElevatedButton.styleFrom(
        backgroundColor: color,
        elevation: 5,
        padding: padding,
        shape: shape
      ),
      onPressed: onPressed == null ? null : () => onPressed!(),
      child: child,
    );
  }
}
